# vim:ft=sh
# {{ ansible_managed }}

# If not running interactively, bail
[ -z "$PS1" ] && return

# Basic shell aliases that I use all the time
alias doot="echo doot doot"
lsarguments='-Fh --color=auto --group-directories-first'
alias l="ls -l --file-type $lsarguments"
alias la="ls -A --file-type $lsarguments"
alias ls="ls $lsarguments"
alias ll="ls -Al --file-type $lsarguments"
unset lsarguments

# Set some bash-specific stuff
[ "${BASH-}" ] && [ "$BASH" != "/bin/sh" ] || return
# Like a fancy prompt
prompt_color=32
[ "$UID" -eq "0" ] && prompt_color=31
export PS1="[\[[32;1m\]\u@\h\[[21m\]:\[[34m\]\w\[[0m\]]\[[${prompt_color}m\]\\$\[[0m\] "
unset prompt_color
